﻿/* Generated with Author-it 5.0.12.670  7/9/2008 5:42:35 PM */
Page=new Array();Page[0]=new Array("ISBN: N/A ","Parallels ","660 SW 39th Street","Suite 205","Renton, Washington 98057","USA","Phone: +1 (425) 282 6400 ","Fax: +1 (425) 282 6444 ","© Copyright 2007 Ensim Corporation. All rights reserved.","© Copyright 2008 Parallels, Inc. All rights reserved.","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.","Product and service names mentioned herein are the trademarks of their respective owners.","Legal and Copyright Notice","epw_copyright_notice.htm");
Page[1]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it. ","The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the System tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of commands, files, directories, and domain names.","The license file is located in the http://docs/common/licenses directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls &#0150;al /files","total 14470","Preformatted Bold","What you type, contrasted with on-screen computer output.","# cd /root/rpms/php","CAPITALS","Names of keys on the keyboard.","SHIFT, CTRL, ALT","KEY+KEY","Key combinations for which the user must press and hold down one key and then press another.","CTRL+P, ALT+F4","Typographical Conventions","typographical_conventions.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback","feedback.htm");
Page[3]=new Array("This document describes the features of Parallels Pro Control Panel 10.3.3 for Windows 2003 (formerly known as Ensim Pro for Windows 2003). ","Parallels Pro Control Panel is a robust control panel solution for small and large professional hosting providers. Parallels Pro Control Panel includes all the tools and features that you, as a hosting provider need, in order to build compelling, commercial-quality plans for shared and reseller hosting.","With Parallels Pro Control Panel, you can:","Define targeted, compelling site templates for shared site and reseller hosting. By defining a site template once, you can establish new customers quickly, while controlling application settings and resource quotas.","Customize the look and feel of the control panel to suit your branding preferences.","Review detailed reports of bandwidth and disk usage per site and allow accurate and complete billing of all traffic used by sites.","Protect shared sites with a virtual private file system and provide additional site security.","Delegate administration to your customers, including your resellers, site owners, and site users, while simultaneously reducing your support calls and improving customer satisfaction.","About Parallels Pro Control Panel for Windows","7485.htm");
Page[4]=new Array("ASP.NET 2.0 framework: Parallels Pro Control Panel software is built on the ASP.NET 2.0 framework.","Support for WoW64: Parallels Pro Control Panel now supports WoW64 emulation mode on Windows 2003 64-bit operating system server.","Support for new versions of Power tools: Parallels Pro Control Panel supports the new versions of Community Server 2.1 and DotNetNuke 4.4.1.","Web Services APIs: Parallels Pro Control Panel 10.3.3 supports Application Programming Interfaces (APIs) for Web Hosting services. Web Services APIs automate common tasks across all service levels such as provisioning resellers, sites and users, and managing services.","Note: The Web Services APIs support only the tasks that can be executed through the CLI (Command Line Interface) calls.","Following are the product features for each administrative level.","Parallels Pro Control Panel 10.3.3 Specifications","7487.htm");
Page[5]=new Array("Server Administrator features","Feature/item","Description","Server Management","Enables Server Administrators to:","Restart the server.","Register, update, or renew the license.","Update the Server Administrator account information.","Customize customer control panels to include branding information. Server Administrators can create custom logos, banners, colors, graphics, and styles in their customer control panels.","View the network settings configured during installation.","View the current disk usage summary.","View/Add the IP addresses for the named-based sites in the system. View the usage count (that is, the number of named- based sites using an IP address).","View/Edit the site data path on the Parallels Pro Control Panel server where site-related data is stored.","DNS management","Enables Server Administrators to configure and manage the following DNS settings:","Modify the default SOA record.","Modify a zone-specific SOA record.","View the zone configuration file.","Add/Refresh/Remove zones from a name server.","Add/Update/Remove zone records. The following records are supported: NS, CNAME, Host (A), Host (AAAA), MX, PTR, TXT, and SRV.","FTP server configuration","Enables Server Administrators to:","View FTP server settings.","Update FTP server settings.","Mail server configuration","Enables Server Administrators to:","View mail server settings.","Update mail server settings.","Send email notifications to resellers and Site Administrators.","Configure spam filter settings.","MySQL configuration","Enables Server Administrators to:","Configure the number of MySQL databases for a site.","Microsoft SQL Server 2005 configuration","Enables Server Administrators to:","Configure the number of Microsoft SQL Server 2005 databases for a site.","Configure database management for a site.","Database Tools","Enables Server Administrators to Add/Remove/View/Edit custom database tools for managing Microsoft SQL Server 2005 and/or MySQL databases.","Site management","Enables Server Administrators to Add/Remove/Enable/Disable a site.","Service provisioning","Enables Server Administrators to Enable/Disable the following services for a site:","DNS","Domain aliases","Webalizer log analyzer","Microsoft IIS Web server","Microsoft FrontPage Server Extensions","Active Perl","Secure Web (SSL)","Server Side Includes (SSI)","Web Logs","Subdomains","Export / Import","File Manager","Web-based email","Spam Filtering","Vacation Auto-responder","FTP","MySQL","Microsoft SQL Server 2005","Power Tools","Site Templates","Enables Server Administrators to use site templates for fast and efficient provisioning of sites. Site templates are templates that provide a common configuration base for provisioning sites with common services and settings.","Site security","Enables Server Administrators to set appropriate Windows security levels for each site.","Reseller management","Enables Server Administrators to Add/Update/Remove/Enable/Disable resellers accounts and update or remove reseller sites.","Autologin","Enables Server Administrators to automatically log in to the reseller and Site Administrator control panel to perform administrative tasks.","Create and manage skins","Enables Server Administrators to Add/Remove/Apply/Update/Change skins as well as preview a skin and set a skin as the default skin for the Parallels Pro Control Panel control panel.","Updates utility","Enables Server Administrators to set preferences for auto-update facility in order to automatically download available updates via Parallels Pro Control Panel Update Server on the Parallels Pro Control Panel server.","If the Server Administrator enables the auto-update facility, a Windows scheduler downloads the available updates on the Parallels Pro Control Panel server at a time specified by the Server Administrator.","If the Server Administrator does not enable the auto-update facility, then the Server Administrator must check for new updates by clicking the Product Updates link on the Parallels Pro Control Panel control panel. Each critical update in the list is displayed with a critical icon next to it. The Server Administrator must first install such updates. All the updates are listed in descending order of priority such that when you select a update, all the updates listed under the selected update, which require to be downloaded and/or installed are also selected for download and/or installation.","Usage reports","Enables Server Administrators to view the following usage reports:","Bandwidth usage report. Displays consolidated as well as individual usage reports for resellers and sites.","Disk usage report. Displays disk usage summary for all sites. The reports can be emailed or downloaded to a local system.","Export/Import","Enables Server Administrators to:","Export/Import the data with the following settings:","Site","Config Only. This option is for exporting or importing only the configuration settings (and not the associated data) of the site.","Config and Data. This option is for exporting or importing the configuration settings and all the service-specific data of the site.","User","All Users. This option is for exporting or importing the information of all the users configured for the site.","Admin Only. This option is for exporting or importing the information of only the default site administrator of the site.","Log file archiving","Enables Server Administrators to either archive log files as per the specified archive schedule, or delete log files from the Site Administrator's Web server in order to free up disk space on the Web server.","Switch asp.net version for site admins","Enables Site Administrators to switch to Microsoft .NET 2.0 version in order to run .NET 2.0 applications.","IDN (Internationalized Domain Name)","Enables representation of domain names and email addresses using non-ASCII characters.","SSL","Enables Server Administrators to secure sites using SSL certificates.","Power Tools","Enables Server Administrators to install and configure a number of popular Web applications that provide e-commerce, content management, forums, chat, and other dynamic features of Web sites.","Server Administrators","7490.htm");
Page[6]=new Array("Reseller features are the same as Server Administrator features except that resellers cannot:","Add/Revoke resources","Perform operating system level tasks such as starting and stopping services","Set preferences for the Updates utility to automatically download available updates or manually check for available updates from the Parallels Pro Control Panel Updates Server","Note: Unlike server administrators, the resellers can retrieve their forgotten passwords while logging into the Parallels Pro Control Panel control panel. To be able to retrieve the password, the resellers must set password security information the first time while logging into the Parallels Pro Control Panel control panel. By providing the correct password security information, resellers are then able to retrieve the lost password.","Reseller Administrators","7491.htm");
Page[7]=new Array("Site Administrator features","Feature/item","Description","User management","Enables Site Administrators to Add/Update/Remove user accounts.","Manage files and directories","Enables Site Administrators to:","Create/Rename/Remove directories and files","Copy and move files and directories","Change file and directory permissions","View file and directory properties","Protect directories","Enables Site Administrators to protect directories:","Using the Microsoft FrontPage Extensions interface. Site Administrators can connect to the FrontPage and manage files and directories.","Using the Site Administrator control panel. If Microsoft FrontPage Extensions is not enabled, they can password-protect directories using the Site Administrator control panel.","Microsoft .NET version","Enables Site Administrators to switch Microsoft .NET version to 2.0 in order to run .NET 2.0 applications.","Note: In order for the Site Administrator to be able to switch to Microsoft .NET version 2.0, the Server Administrator must enable the option switch asp.net version for site admins","MySQL","Enables Site Administrators to:","Create multiple MySQL databases","View/Update/Delete databases","Rename databases","Change the MySQL password","Manage databases by connecting to a database tool interface such as phpMyAdmin from the Site Administrator control panel","Microsoft SQL Server 2005","Enables Site Administrators to:","Create multiple Microsoft SQL Server 2005 databases","View/Update/Delete databases","Rename databases","Change the Microsoft SQL Server 2005 password","Manage databases by connecting to a database tool interface such as Web Data Administrator from the Site Administrator control panel","Power Tools","Enables Site Administrators to:","Install tools on the site","Update tool settings","Upgrade installed tools","Change the owner of an installed tool","Remove installations of tools","Service management","Enables Site Administrators to configure the settings of the following services:","MySQL","Microsoft SQL Server 2005","Note: Site Administrator can create and manage Microsoft SQL Server 2005 databases only if the Server Administrator has purchased the Microsoft SQL Server 2005 add-on license and has enabled the option enable database management for the site in the Server Administrator control panel.","SSL","Enables Site Administrators to secure sites using SSL certificates.","Subdomains","Enables Site Administrators to Add/Update/Delete subdomains.","Log management","Enables Site Administrators to configure rotation settings for logs of the site.","Aliases","Enables Site Administrators to Add/Update/Remove aliases.","Responders","Enables Site Administrators to Add/Update/Remove responders.","Message forwarding","Enables Site Administrators to redirect or forward email messages to alternate addresses.","Spam management","Enables Site Administrators to manage spam by creating a Sendmail Reject List","Web-based email","Enables Site Administrators to manage email messages by connecting to a Web-based interface from the Site Administrator control panel.","IDN (Internationalized Domain Name)","Enables representation of domain names and email addresses using non-ASCII characters.","Autologin","Enables Site Administrators to automatically log in to the User Administrator control panel to perform administrative tasks.","Create and manage skins","Enables Site Administrators to Add/Remove/Apply/Update/Change skins as well as preview a skin and set a skin as the default skin for the Parallels Pro Control Panel control panel.","Retrieve user password","Enables Site Administrators to retrieve their forgotten passwords while logging into the Parallels Pro Control Panel control panel. To be able to retrieve the password, the Site Administrator must set password security information the first time while logging into the Parallels Pro Control Panel control panel. By providing the correct password security information, the Site Administrator is then able to retrieve the lost password.","Export/Import","Enables Site Administrators to:","Export/Import the user data with the following settings:","Config Only. This option is for exporting or importing only the configuration settings (and not the associated data) of the user.","Config and Data. This option is for exporting or importing the configuration settings and all the service-specific data of the user.","Log file archiving","Enables Site Administrators to configure log file archiving using the following options:","enable log file archiving. This option is to enable either archiving or deletion of log files from the Site Administrator's Web server.","maximum number of archives. This is the maximum number of archives available per each archive schedule.","archive when the log file size [mb] reaches. This is the log file size limit which qualifies a log file for an archive.","Site Administrators","7492.htm");
Page[8]=new Array("User administrator features","Feature/item","Description","Spam management","Enables User Administrators to:","Configure spam options","Create Allowed Senders List","Create Blocked Senders List","Email aliases","Enables User Administrators to Add/Remove email aliases.","Responders","Enables User Administrators to Add/Update/Remove responders.","Vacation Messages","Enables User Administrators to Enable/Disable/Add/Update vacation messages.","Email forwarding","Enables User Administrators to configure alternate addresses to which email messages can be forwarded.","Subdomains","Enables User Administrators to view subdomain details and connect to a subdomain.","IDN (Internationalized Domain Name)","Enables representation of domain names and email addresses using non-ASCII characters.","Retrieve user password","Enables User Administrators to retrieve their forgotten passwords while logging into the Parallels Pro Control Panel control panel. To be able to retrieve the password, the User Administrator must set password security information the first time while logging into the Parallels Pro Control Panel control panel. By providing the correct password security information, the User Administrator is then able to retrieve the lost password.","Apply/Preview skins","Enables User Administrators to apply skins (that is, set a skin as current) to the control panel as well as preview a skin .","User Administrators","7493.htm");
var PageCount=9;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="utf-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';
*/ 
/* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}